Skip to content

Servers

https://api.memnetai.com/

View the complete information of the specified thinking task

GET
think/task/detail

Retrieve and return information for a single thinking task

heat: 2 points

Parameters

Header Parameters

Authorization

API key token

Typestring
Example"Token <api-key>"

Query Parameters

taskId
Typestring

Responses

application/json
JSON
{
"code": "string",
"msg": "string",
"data": {
"taskId": "string",
"topicContext": "string",
"rounds": 0,
"memoryAgentName": "string",
"projectId": "string",
"userId": "string",
"memoryAgentId": "string",
"currentTimestamp": "string",
"serviceCallLogId": "string"
}
}

Playground

Headers
Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python

Get a list of all thinking tasks

GET
think/task/all

Get a list of all thinking tasks for the user

heat:2 points

Parameters

Header Parameters

Authorization

API key token

Typestring
Example"Token <api-key>"

Responses

application/json
JSON
{
"code": "string",
"msg": "string",
"data": {
"taskList": [
"string"
]
}
}

Playground

Headers

Samples

cURL
JavaScript
PHP
Python

Delete a specified thinking task

DELETE
think/task/delete

Delete a specified thinking task

heat:2 points

Parameters

Header Parameters

Authorization

API key token

Typestring
Example"Token <api-key>"

Query Parameters

taskId

Task ID

Typestring

Responses

application/json
JSON
{
"code": "string",
"msg": "string",
"data": {
}
}

Playground

Headers
Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python

Powered by VitePress OpenAPI